Subject: Re: [RFC PATCH 0/4] git: remove --super-prefix

From: Taylor Blau <[email-masked]>
Date: Wed, 9 Nov 2022 16:16:14 -0500

On Tue, Nov 08, 2022 at 04:47:04PM -0800, Glen Choo wrote:
> *Note to maintainer*: See "Interactions with other series".

Thanks for the heads up ;-).

It looks like this series is broken, at least in my application of it.
On the first patch, running t7401, for example, I get:

    BUG: builtin/submodule--helper.c:121: cannot have prefix 'sub/' and toplevel_cwd_prefix ''
    Aborted

after running the first test (-x shows that it happens after running
'git submodule summary', unsurprisingly).

I pushed out the result of what I have to the 'gc/remove--super-prefix'
branch of [email-masked]:ttaylorr/git.git. As you'll see, the base is
'master' (as of 319605f8f0 (The eleventh batch, 2022-11-08)) with a
--no-ff merge of 'ab/submodule-helper-prep-only'.

Let me know if I'm holding it wrong.

Thanks,
Taylor